GTXclient C API GTXserver-16.0.2

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Fields

Data Fields
GTXColorScale Struct Reference

Color Scale details. More...

`#include <GTXClient.h>`

## Data Fields
GTX_CSCALE_TYPE | type
int | readonly
char | palette_name [50]
int | nclasses
int | undef_col [3]
double * | bounds
int * | pal_ind
int | lowval_col [3]
int | highval_col [3]
int | bnd_inc_low
int | bnd_inc_inter
int | bnd_inc_high
int | other_col [3]
int | facies_int_nb
int | facies_integers
double * | facies_int_min
double * | facies_int_max
int * | facies_class_ind
int * | facies_rgbs
char ** | facies_labels
char | undef_label [50]
char | other_label [50]

## Detailed Description

Color Scale details.

See Also
  GTXClientReadColorScale

Examples:
  write_color_scale.c.

## Field Documentation

int GTXColorScale::bnd_inc_high

Highest Bounds Inclusion (for MANUAL color scales) (can be 0=[, 1=], 2=exp)

Referenced by GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

int GTXColorScale::bnd_inc_inter

Intermediate Bounds Incl.(for MANUAL color scales) (can be 0=[ [, 1=] ])

Referenced by GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

int GTXColorScale::bnd_inc_low

Lowest Bound Inclusion (for MANUAL color scales) (can be 0=[, 1=], 2=expand)

Referenced by GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

double* GTXColorScale::bounds

Manual Bounds (for MANUAL color scales) (has nclasses+1 values)

Examples:
  write_color_scale.c.

Referenced by GTXClientColorScaleFree(), GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

int* GTXColorScale::facies_class_ind

Facies Interval Pal Index(for FACIES color scales) (facies_int_nb values, [0-ncl-1])

Examples:
  write_color_scale.c.

Referenced by GTXClientColorScaleFree(), GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

double* GTXColorScale::facies_int_max

Facies Interval Maximum (for FACIES color scales) (facies_int_nb values)

Examples:
  write_color_scale.c.

Referenced by GTXClientColorScaleFree(), GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

double* GTXColorScale::facies_int_min

Facies Interval Minimum (for FACIES color scales) (facies_int_nb values)

Examples:
  write_color_scale.c.

Referenced by GTXClientColorScaleFree(), GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

int GTXColorScale::facies_int_nb

Facies Interval Number (for FACIES color scales) (nclasses values)

Examples:
  write_color_scale.c.

Referenced by GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

int GTXColorScale::facies_integers

            Facies Integer Mode      (for FACIES color scales) (0 for lower included,

upper excl, printed as double, 1 for both included, printed as integer

Referenced by GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

char** GTXColorScale::facies_labels

Facies Labels (for FACIES color scales) (nclasses strings, each limited to 50 characters)

Examples:
  write_color_scale.c.

Referenced by GTXClientColorScaleFree(), GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

int* GTXColorScale::facies_rgbs

Facies RGBs (for FACIES color scales) (order is RRRGGGBBB, with nclasses of each R,G and Bs)

Examples:
  write_color_scale.c.

Referenced by GTXClientColorScaleFree(), GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

int GTXColorScale::highval_col[3]

Upper Values Color RGB (for MANUAL color scales)

Examples:
  write_color_scale.c.

Referenced by GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

int GTXColorScale::lowval_col[3]

Lower Values Color RGB (for MANUAL color scales)

Examples:
  write_color_scale.c.

Referenced by GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

int GTXColorScale::nclasses

Number of classes (for ISOFREQ/MANUAL/FACIES color scales)

Examples:
  write_color_scale.c.

Referenced by GTXClientColorScaleFree(), GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

int GTXColorScale::other_col[3]

Other Values Color RGB (for FACIES color scales)

Examples:
  write_color_scale.c.

Referenced by GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

char GTXColorScale::other_label[50]

Other Values Label (for FACIES color scales)

Referenced by GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

int* GTXColorScale::pal_ind

Manual Palette Indices (for MANUAL color scales) (has nclasses values from 0 to npalcol-1)

Examples:
  write_color_scale.c.

Referenced by GTXClientColorScaleFree(), GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

char GTXColorScale::palette_name[50]

name of the used palette (for AUTO/ISOFREQ/MANUAL color scales)

Examples:
  write_color_scale.c.

Referenced by GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

int GTXColorScale::readonly

0 for Read/Write Access, 1 for system/readonly color scales

Referenced by GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

GTX_CSCALE_TYPE GTXColorScale::type

color scale type

Examples:
  write_color_scale.c.

Referenced by GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

int GTXColorScale::undef_col[3]

Undefined Color RGB (for ALL color scales)

Examples:
  write_color_scale.c.

Referenced by GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

char GTXColorScale::undef_label[50]

Undefined Values Label (for FACIES color scales)

Referenced by GTXClientColorScaleInit(), GTXClientColorScaleNew(), and GTXClientColorScaleRead().

The documentation for this struct was generated from the following file:

- include/GTXClient.h